> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Create ledger account

> Creates a new ledger account. Only expense and payable (accounts-payable) account types are supported.



## OpenAPI

````yaml post /consumers/{consumer_id}/spend_management/ledger-accounts
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/spend_management/ledger-accounts:
    post:
      tags:
        - Spend Management
        - LedgerAccounts
      summary: Create ledger account
      description: >-
        Creates a new ledger account. Only expense and payable
        (accounts-payable) account types are supported.
      operationId: spend_management_create_ledger_account
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LedgerAccountItemIn'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpendManagementAccountItem'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - spend_management
            - spend_management.ledger_accounts
            - '900'
            - 900.ledger_accounts
components:
  schemas:
    LedgerAccountItemIn:
      properties:
        name:
          type: string
          minLength: 1
          title: Name
          description: >-
            Name or label of the ledger account as it appears in the accounting
            system.
          examples:
            - Consulting services
        number:
          type: string
          minLength: 3
          title: Number
          description: >-
            The account number in the chart of accounts. Must be unique within
            the accounting folder. In some countries (e.g., France, Belgium,
            Spain), the number structure is constrained by local accounting
            rules and must follow official charts of accounts (e.g., Plan
            Comptable Général).
          examples:
            - '700000'
        type:
          anyOf:
            - $ref: '#/components/schemas/AccountItemType'
            - type: 'null'
          default: other
      type: object
      required:
        - name
        - number
      title: LedgerAccountItemIn
    SpendManagementAccountItem:
      properties:
        number:
          type: string
          title: Number
          description: >-
            The account number in the chart of accounts. Must be unique within
            the accounting folder. In some countries (e.g., France, Belgium,
            Spain), the number structure is constrained by local accounting
            rules and must follow official charts of accounts (e.g., Plan
            Comptable Général).
          examples:
            - <this-account-number>
        name:
          type: string
          title: Name
          description: >-
            Name or label of the account as it appears in the accounting system.
            This is typically used for internal referencing and identification
            of the account.
          examples:
            - Consulting services
        active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Active
          description: >-
            Flag indicating whether the account is active. If True, the account
            is active and can be used in transactions. If False, the account is
            inactive and cannot be used for transactions.
          default: true
        type:
          anyOf:
            - $ref: '#/components/schemas/AccountItemType'
            - type: 'null'
          description: >-
            Represents the functional type of the ledger account, used to
            support common accounting operations such as payments, invoicing,
            tax handling, and reporting. The type here is more operational and
            aligned with how accounts are actually used in day-to-day processes
            (e.g., tracking receivables, recording VAT, handling bank
            transactions) 
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: >-
            The provider's own unique id for this account, when the connector's
            underlying provider identifies accounts by id rather than (or in
            addition to) number -- e.g. to pass as account_id when
            creating/updating a supplier.
      type: object
      required:
        - number
        - name
      title: SpendManagementAccountItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    AccountItemType:
      type: string
      enum:
        - bank
        - cash
        - other_financial
        - receivable
        - payable
        - income
        - expense
        - other_expense
        - vat
        - other
      title: AccountItemType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.